%define uname   socket.io-client-cpp
%define dtegit  202408261341-da77914
%define dte     %(echo %{dtegit}|cut -d- -f1)
%define git     %(echo %{dtegit}|cut -d- -f2)
%define major   3
%define rel     1
%define libname %mklibname sioclient %{major}
%define devname %mklibname sioclient -d

Name:           libsioclient
Summary:        C++ socket I/O client for multiple platforms
Version:        3.1.0.1
Release:        %mkrel -c %{dte}.%{git} %{rel}
Group:          Networking/Other
License:        MIT
Url:            https://github.com/socketio/socket.io-client-cpp
# Currently breaks build of freedv > 1.8.9 and patching to master using upstream tarball fails.
#Source0:        https://github.com/socketio/%%{uname}/archive/refs/tags/%%{version}/%%{name}-%%{version}.tar.gz
# So create tarball from master using mk-tar
Source0:        libsioclient-%{version}-%{dte}-%{git}.tar.gz
Source1:        mk-tar

BuildRequires:  cmake
BuildRequires:  pkgconfig(openssl)
BuildRequires:  websocketpp-devel
BuildRequires:  asio
BuildRequires:  rapidjson

%description
By virtue of being written in C++, this client works in several different
platforms. The examples folder contains an iPhone, QT and Console
example chat client!
It depends on websocket++ and is inspired by socket.io-clientpp.

%package -n %{libname}
Summary:    Dynamic library files for linking with %{name}

%description -n %{libname}
Dynamic library files for linking with %{name}

%package -n %{devname}
Summary:    Development files for building packages using %{name}
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for building packages using %{name}

%prep
%autosetup -p1 -n %{name}-%{version}-%{dte}-%{git}

%build
%if %{mgaver} < 9
CXXFLAGS="${CXXFLAGS:-%optflags -pthread}"; export CXXFLAGS
%endif

%cmake -DBUILD_UNIT_TESTS=OFF -DBUILD_TESTING=OFF

%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libsioclient.so.%{major}{,.*}
%{_libdir}/libsioclient_tls.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libsioclient.so
%{_libdir}/libsioclient_tls.so
%{_includedir}/sio_client.h
%{_includedir}/sio_message.h
%{_includedir}/sio_socket.h
%{_libdir}/cmake/sioclient/


%changelog
* Mon Aug 26 2024 barjac <barjac> 3.1.0.1-0.202408261341.da77914.1.mga10
+ Revision: 2091514
- new snapshot @ #da77914

* Sun Mar 24 2024 barjac <barjac> 3.1.0.1-0.202403242230.2eb7784.1.mga10
+ Revision: 2051912
- new snapshot
- dont build tests
- new major 3

* Thu May 25 2023 barjac <barjac> 3.1.0.1-0.20230525.b10474e.1.mga9
+ Revision: 1957947
- new package libsioclient

